Hello everyone,
I have searched in many forums on the internet but have not find a solution.
I have a code that makes captures and save it as tif images. It works fine but I would like to enhance the image quality. Manually, I do Tools> image> Capture>Options> Pixel>rendering...
Hello everyone,
Can someone tell how to prevent a user from saving a product after the latter made some modifications.
The thing is that I have a macro that launches Catia from VBA , loads a specified product automatically and hides some nodes in it then the macro stops. Then, the user can do...
The problem is that using capturetofile is like doing a screen shot, whether it be of good quality in tiff bmp, etc or not, it does not have textures for example or render, just like Photo Easy Tools would do.
Am i wrong?
thank you
However, using the command objviewer3D.Capturetofile 4,strname gives a poorer image quality than rendering would do. Is there any way to access the Photo Easy Tools of CATIA V5 with a macro?
Thanking you in advance for your help.
Hello,
Can someone help me with this code please? I am trying to get 2 images (captures) of the same product in two different positions (camera 1 and camera 2). I have created manually two cameras in the positions I wanted to take the captures and after some researches on the net (+ macro...
Thank you Fernando for your response.
I don't really understand/know what is a list of products? because what I needed to do is apply at once the gettechnologicalobject to many products( and not to only one) to find the mass of one configuration.(My assembly contains several products that...
Hi,
again thank you.
indeed, the selection was not happening... but I think that the problem was with the first parts of the code, when I was specifying the level where the product was located. It is, as you say very slow, because the assembly is big but the code works now (I added Set products2...
Thank you TiagoFigueiredo for your response.
However, with selectElement3 you need to ask the end user to select the products, if I'm not wrong. For my code, this is not possible and it is infact the purpose of the code im trying to create:
I have a general assembly with lots of products and sub...
Hello,
I need to find the mass and the center of gravity of some bunch of products in an assembly. The code below works for only one product. How do I get the inertia properties of several products at the same time?that is, how to create an object that contains several products to which I can...
Hello,
I need to deactivate some products in an assembly comprised of products at different levels( in the tree)
For first level products my code is working:
'--------------------------------------------
Dim CATIA As Object
Set CATIA = GetObject(, "CATIA.Application")
Dim productDocument1...
Hello,
I am trying to create a VBA macro that gets the mass and center of gravity of an assembly depending on the nodes (sub products or sub sub products) I select in the general assembly.
Lets say that my general assembly comprises of several nodes (sub products A,B , C ,D....) and in some of...
Thank you tesak for your quick response.
Indeed it is too complicated to use WIN API for my case.
As I had only 15 images to choose with the combobox, I decided to do differently:
I created 15 images control in the userform which are therefore overlapped and I copy/pasted ( picture property) my...
Hello,
I am trying to display an image on a userform depending on the choice of a combo box and the code below works fine:
picturename = "S:blablablabalabalab\blabla\" & name & ".jpg"
Userform.Image.Picture = LoadPicture(picturename)
However, I would like to avoid referring to the location...
Thank you Tiago. It works with this code:
Set MyArrow1 = MyDrawingViews.ActiveView.Arrows.Add(x1,y1,x2,y2)
CATIA.ActiveDocument.Selection.Add MyArrow1
CATIA.ActiveDocument.Selection.VisProperties.SetRealWidth 2, 1
CATIA.ActiveDocument.Selection.Clear
Hello,
I am new to automation in Catia and I need help . I need to automatically generate drawings containing arrows. So far everything works fine except for thethickness of the arrows.
I have used
Set MyArrow1 = MyDrawingViews.ActiveView.Arrows.Add(X1 coord, Y1 coord, X2 coord, Y2 coord)
to...